%global momorel 3
%global artsver 1.5.6
%global artsrel 2m
%global qtver 3.3.7
%global kdever 3.5.6
%global kdelibsrel 6m
%global qtdir %{_libdir}/qt3
%global kdedir /usr
%global enable_gcc_check_and_hidden_visibility 0
%global md5sum_src0 219f1a94170386621802355b33989ec9

Summary: Network monitor in KDE
Name: knetstats
Version: 1.6.1
Release: %{momorel}m%{?dist}
License: GPL
URL: http://knetstats.sourceforge.net/
Group: Applications/Internet
%NoSource 0 http://dl.sourceforge.net/sourceforge/%{name}/%{name}-%{version}.tar.bz2 %{md5sum_src0}
Patch0: %{name}-%{version}-desktop.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires: kdelibs >= %{kdever}-%{kdelibsrel}
BuildPreReq: qt-devel >= %{qtver}
BuildPreReq: arts-devel >= %{artsver}-%{artsrel}
BuildPreReq: kdelibs-devel >= %{kdever}-%{kdelibsrel}
BuildPreReq: autoconf, automake, libtool
BuildPreReq: gettext

%description
A simple KDE network monitor that show rx/tx LEDs or numeric information about
the transfer rate of any network interface in a system tray icon.

%prep
%setup -q

%patch0 -p1 -b .desktop~

make -f admin/Makefile.common cvs

%build
export QTDIR=%{qtdir} KDEDIR=%{kdedir} QTLIB=%{qtdir}/lib

CFLAGS="%{optflags}" \
CXXFLAGS="%{optflags}" \
./configure \
	--prefix=%{_prefix} \
	--libdir=%{_libdir} \
	--with-qt-libraries=%{qtdir}/lib \
	--enable-new-ldflags \
%if %{enable_gcc_check_and_hidden_visibility}
	--enable-gcc-hidden-visibility \
%endif
	--disable-debug \
	--disable-warnings \
	--disable-rpath

make %{?_smp_mflags}

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc COPYING README
%{_bindir}/knetstats
%{_datadir}/applications/kde/knetstats.desktop
%{_datadir}/apps/knetstats
%{_datadir}/doc/HTML/*/knetstats
%{_datadir}/icons/*/*/*/knetstats.png
%{_datadir}/locale/*/LC_MESSAGES/knetstats.mo

%changelog
* Thu May  3 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.6.1-3m)
- change "Categories" of knetstats.desktop from "System" to "Network"

* Wed May  2 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.6.1-2m)
- change "Categories" of knetstats.desktop from "Network" to "System"

* Fri Mar 30 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.6.1-1m)
- initial package for Momonga Linux
